#ifndef VELODYNE_3D_IMAGE_H
#define VELODYNE_3D_IMAGE_H

/* System headers */
#include <stdbool.h>

/* Internal headers */
#include "velodyneClient.h"
#include "velodyneStruct.h"

/* Structures */
typedef struct velodyne3DImageParams {
  velodyneModel model;
  int           numLinesPerPacket;
  int           numColumnsPerPacket;
  bool          organizationEnabled;
  int           lineOrder[VELODYNE_3D_IMAGE_HEIGHT];
  int           columnOffsets[VELODYNE_3D_IMAGE_HEIGHT];
} velodyne3DImageParams;

#endif
